<!--********************************************************************************
 * Copyright (c) 2015, 2023 Contributors to the Eclipse Foundation
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * SPDX-License-Identifier: EPL-2.0
 *
 ********************************************************************************-->

<p-panel [(collapsed)]="panelCollapsed" toggler="header" class="list-box" [toggleable]="true">
  <p-header class="title-bar channelgroups line-height-1">
    <span class="icon channelgroup"></span> &nbsp;{{ "SubMatrix" | mdmdatasourcetranslate }}
  </p-header>
  <p-treeTable
    [value]="channelGroupsTree"
    [columns]="cgTreeCols"
    selectionMode="checkbox"
    [(selection)]="selectedTreeNodes"
    (onNodeSelect)="onSelectedChannelGroupsChanged()"
    (onNodeUnselect)="onSelectedChannelGroupsChanged()"
    (onHeaderCheckboxToggle)="onSelectedChannelGroupsChanged()"
    [style]="{ width: '100%' }"
    [scrollable]="true"
    scrollHeight="200px"
  >
    <ng-template pTemplate="caption">
      <div class="flex line-height-1">
        <div class="flex-none flex align-items-center justify-content-center m-1">
          <p-treeTableHeaderCheckbox></p-treeTableHeaderCheckbox>
        </div>
        <div class="flex-grow-1 flex align-items-center justify-content-center m-1">
          <span class="p-input-icon-right w-full">
            <i class="pi pi-filter"></i>
            <input
              class="w-full"
              type="text"
              pInputText
              [(ngModel)]="channelGroupFilter"
              [pTooltip]="'chartviewer.xy-chart-data-selection-panel.tooltip-regexp-filter' | translate"
              [placeholder]="'chartviewer.xy-chart-data-selection-panel.filter' | translate"
              (keyup)="onFilterChannelGroups($event)"
            />
          </span>
        </div>
      </div>
    </ng-template>
    <ng-template pTemplate="header" let-columns>
      <tr>
        <th *ngFor="let col of columns">
          {{ col.header }}
        </th>
      </tr>
    </ng-template>
    <ng-template pTemplate="body" let-rowNode let-rowData="rowData" let-columns="columns">
      <tr>
        <td *ngFor="let col of columns; let i = index">
          <p-treeTableToggler [rowNode]="rowNode" *ngIf="i === 0"></p-treeTableToggler>
          <p-treeTableCheckbox [value]="rowNode" *ngIf="i === 0"></p-treeTableCheckbox>
          {{ rowData[col.field] }}
        </td>
      </tr>
    </ng-template>
  </p-treeTable>
</p-panel>
